## net.sf.saxon.ant
Class AntTransform.Param

    java.lang.Object
      net.sf.saxon.ant.AntTransform.Param

Enclosing class:
  AntTransform

    public static class AntTransform.Param

extends Object

The Param inner class used to store XSL parameters

Constructor Summary
`AntTransform.Param()`

Method Summary
`String` `getExpression()` Get the parameter's value
`String` `getName()` Get the parameter name
`void` `setExpression(String expression)` The parameter value NOTE : was intended to be an XSL expression.
`void` `setIf(String ifProperty)` Set whether this param should be used.
`void` `setName(String name)` Set the parameter name.
`void` `setProject(org.apache.tools.ant.Project project)` Set the current project
`void` `setUnless(String unlessProperty)` Set whether this param should NOT be used.
`boolean` `shouldUse()` Ensures that the param passes the conditions placed on it with `if` and `unless` properties.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntTransform.Param

    public AntTransform.Param()

Method Detail

### setProject

    public void setProject(org.apache.tools.ant.Project project)

  Set the current project

  Parameters:
    `project` - the current project

### setName

    public void setName(String name)

  Set the parameter name.

  Parameters:
    `name` - the name of the parameter.

### setExpression

    public void setExpression(String expression)

  The parameter value NOTE : was intended to be an XSL expression.

  Parameters:
    `expression` - the parameter's value.

### getName

    public String getName()
                   throws org.apache.tools.ant.BuildException

  Get the parameter name

  Returns:
    the parameter name
  Throws:
    `org.apache.tools.ant.BuildException` - if the name is not set.

### getExpression

    public String getExpression()
                         throws org.apache.tools.ant.BuildException

  Get the parameter's value

  Returns:
    the parameter value
  Throws:
    `org.apache.tools.ant.BuildException` - if the value is not set.

### setIf

    public void setIf(String ifProperty)

  Set whether this param should be used. It will be used if the property has been set, otherwise it won't.

  Parameters:
    `ifProperty` - name of property

### setUnless

    public void setUnless(String unlessProperty)

  Set whether this param should NOT be used. It will not be used if the property has been set, otherwise it will be used.

  Parameters:
    `unlessProperty` - name of property

### shouldUse

    public boolean shouldUse()

  Ensures that the param passes the conditions placed on it with `if` and `unless` properties.

  Returns:
    true if the task passes the "if" and "unless" parameters

Copyright (C) Michael H. Kay. All rights reserved.